﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;

namespace Domain.Identity
{    
    public class Account : BaseEntity
    {
        public string Username { get; set; }
        public string Password { get; set; }
        public string Mobile { get; set; }
        public string Name { get; set; }   
        public string Email { get; set; }

        public virtual ICollection<AccountRole> AccountRoles { get; set; } 
        public virtual ICollection<LoginToken> LoginTokens { get; set; }
    }
}
