﻿

using Microsoft.AspNetCore.Components;

namespace BootStrapComponents
{
    public  class BaseBootStrapComponent: ComponentBase
    {
        [Parameter]
        public TextAlignment TextAlignment { get; set; } = TextAlignment.None;
        [Parameter]
        public RenderFragment ChildContent { set; get; }
        public IEnumerable<string> AutoClass()
        {

            if (TextAlignment != TextAlignment.None) yield return "text-" + TextAlignment.ToString();
            yield return "";
        }
        [Parameter]
        public string AdditionalClass { set; get; } 
    }
    public enum TextAlignment
    {
        None,
        left,
        center,
        right,
        justify
    }
    public enum BackColor
    {
        primary,
        info,
        danger,
        white,
    }
}
